package com.gic.plug.web.controller.goods;

import com.gic.enterprise.base.EnterpriseInfo;
import com.gic.enterprise.utils.UserDetailUtils;
import com.gic.mall.base.api.exception.GicMallException;
/**
 * 商品
 * @ClassName: BaseGoodsController 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/14 10:45 AM 
 */
public class BaseGoodsController {

    EnterpriseInfo getLoginEnterpriseInfo() {
        EnterpriseInfo enterpriseInfo = UserDetailUtils.getUserDetail().getEnterpriseInfo();
        if (enterpriseInfo == null) {
            throw new GicMallException("未登录");
        }
        return enterpriseInfo;
    }

    Integer getEnterpriseId() {
        return getLoginEnterpriseInfo().getEnterpriseId();
    }
}
