package com.gic.plug.web.utils.storeresourceauth;

import java.util.List;
import java.util.Set;
import java.util.stream.Collectors;

/**
 * 部分门店
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/15 9:56 AM 
 */
public class StorePartAuth implements IStoreResourceAuth<Integer>{
    @Override
    public List<Integer> auth(List<Integer> data, Set<String> authData) {
        if (authData.isEmpty()) {
            return null;
        }
        //返回权限选择的部分门店ID集合，用于作为过滤条件去查询部分门店，达到权限过滤的目的
        return authData.stream().mapToInt(e -> Integer.valueOf(e)).boxed().collect(Collectors.toList());
    }
}
