package com.gic.plug.web.vo;

import java.io.Serializable;
import java.util.Date;

/**
 * 门店选择器日志
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/14 9:21 AM 
 */
public class StoreWidgetLogVO implements Serializable{
    private static final long serialVersionUID = -9070357100287133477L;

    /**
     * 1:变更权限范围 2:编辑筛选条件
     */
    private Integer logType;

    /**
     * 1:创建 2:操作
     */
    private Integer operationType;

    /**
     * 操作人ID user_id
     */
    private Integer operationId;

    /**
     * 操作人名称 冗余
     */
    private String operationName;

    /**
     * 操作人职位 1:CRM经理、2:商城运营经理、3:IT经理。冗余
     */
    private Integer operationPosition;

    /**
     * 操作人职位 1:CRM经理、2:商城运营经理、3:IT经理。冗余
     */
    private String operationPositionText;

    /**
     *
     */
    private Date createTime;

    public Integer getLogType() {
        return logType;
    }

    public StoreWidgetLogVO setLogType(Integer logType) {
        this.logType = logType;
        return this;
    }

    public Integer getOperationType() {
        return operationType;
    }

    public StoreWidgetLogVO setOperationType(Integer operationType) {
        this.operationType = operationType;
        return this;
    }

    public Integer getOperationId() {
        return operationId;
    }

    public StoreWidgetLogVO setOperationId(Integer operationId) {
        this.operationId = operationId;
        return this;
    }

    public String getOperationName() {
        return operationName;
    }

    public StoreWidgetLogVO setOperationName(String operationName) {
        this.operationName = operationName;
        return this;
    }

    public Integer getOperationPosition() {
        return operationPosition;
    }

    public StoreWidgetLogVO setOperationPosition(Integer operationPosition) {
        this.operationPosition = operationPosition;
        return this;
    }

    public String getOperationPositionText() {
        return operationPositionText;
    }

    public StoreWidgetLogVO setOperationPositionText(String operationPositionText) {
        this.operationPositionText = operationPositionText;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public StoreWidgetLogVO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    @Override
    public String toString() {
        return "StoreWidgetLogVO{" +
                "logType=" + logType +
                ", operationType=" + operationType +
                ", operationId=" + operationId +
                ", operationName='" + operationName + '\'' +
                ", operationPosition=" + operationPosition +
                ", operationPositionText='" + operationPositionText + '\'' +
                ", createTime=" + createTime +
                '}';
    }
}
