package com.gic.plug.web.vo.goods;

import com.fasterxml.jackson.annotation.JsonFormat;
/**
 * 商品
 * @ClassName: GoodsSelectorVO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/14 10:42 AM 
 */
public class GoodsSelectorVO {

    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long goodsSelectorId;

    private String goodsSearchValue;

    private String goodsSearchText;

    private String goodsSearchEdit;

    private String goodsSearchRightValue;

    private String goodsSearchRightText;

    private Integer enterpriseId;

    /**
     * 使用业务
     */
    private String useType;

    private Long findCount;

    /**
     * 是否有商品权限  0没有 1有
     */
    private Integer hasRights;

    public Long getGoodsSelectorId() {
        return goodsSelectorId;
    }

    public void setGoodsSelectorId(Long goodsSelectorId) {
        this.goodsSelectorId = goodsSelectorId;
    }

    public String getGoodsSearchValue() {
        return goodsSearchValue;
    }

    public void setGoodsSearchValue(String goodsSearchValue) {
        this.goodsSearchValue = goodsSearchValue;
    }

    public String getGoodsSearchText() {
        return goodsSearchText;
    }

    public void setGoodsSearchText(String goodsSearchText) {
        this.goodsSearchText = goodsSearchText;
    }

    public String getGoodsSearchEdit() {
        return goodsSearchEdit;
    }

    public void setGoodsSearchEdit(String goodsSearchEdit) {
        this.goodsSearchEdit = goodsSearchEdit;
    }

    public String getGoodsSearchRightValue() {
        return goodsSearchRightValue;
    }

    public void setGoodsSearchRightValue(String goodsSearchRightValue) {
        this.goodsSearchRightValue = goodsSearchRightValue;
    }

    public String getGoodsSearchRightText() {
        return goodsSearchRightText;
    }

    public void setGoodsSearchRightText(String goodsSearchRightText) {
        this.goodsSearchRightText = goodsSearchRightText;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getUseType() {
        return useType;
    }

    public void setUseType(String useType) {
        this.useType = useType;
    }

    public Long getFindCount() {
        return findCount;
    }

    public void setFindCount(Long findCount) {
        this.findCount = findCount;
    }

    public Integer getHasRights() {
        return hasRights;
    }

    public void setHasRights(Integer hasRights) {
        this.hasRights = hasRights;
    }

    @Override
    public String toString() {
        return super.toString();
    }
}
