package com.gic.plug.web.utils.storeresourceauth;

import com.gic.store.dto.StoreGroupDTO;

import java.util.ArrayList;
import java.util.List;
import java.util.Set;

/**
 * 门店分组过滤
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/14 4:37 PM 
 */
public class StoreGroupAuth implements IStoreResourceAuth<StoreGroupDTO>{
    @Override
    public List<StoreGroupDTO> auth(List<StoreGroupDTO> data, Set<String> authData) {
        if (authData.isEmpty()) {
            return data;
        }
        //权限过滤
        List<StoreGroupDTO> authList = new ArrayList<>();
        for (StoreGroupDTO obj : data) {
            if (authData.contains(obj.getStoreGroupId() + "")) {
                authList.add(obj);
            }
        }
        return authList;
    }

}
