package com.gic.plug.web.utils.storeresourceauth;

import com.gic.store.dto.StoreTagDTO;
import org.apache.commons.collections.CollectionUtils;

import java.util.ArrayList;
import java.util.List;
import java.util.Set;
/**
 * 门店标签的权限过滤
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/15 10:30 AM 
 */
public class StoreTagAuth implements IStoreResourceAuth<StoreTagDTO>{
    @Override
    public List<StoreTagDTO> auth(List<StoreTagDTO> data, Set<String> authData) {
        if (CollectionUtils.isEmpty(data)) {
            return data;
        }
        if (authData.isEmpty()) {
            return data;
        }
        List<StoreTagDTO> result = new ArrayList<>(authData.size());
        for (StoreTagDTO storeTagDTO : data) {
            if (authData.contains(storeTagDTO.getStoreTagId() + "")) {
                result.add(storeTagDTO);
            }
        }
        return result;
    }
}
