package com.gic.plug.web.vo.goods;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
/**
 * 商品
 * @ClassName: MallGoodsCordVO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/14 10:44 AM 
 */
public class MallGoodsCordVO {

    /**
     *
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long specCordId;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     *
     */
    private Long goodsDomainId;

    /**
     * 分类名称
     */
    private String specCordName;

    /**
     * 父级分类ID
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long specParentId;

    /**
     * 是否叶子节点 0:不是叶子节点 1:是叶子节点
     */
    private Integer leafNodeFlag;

    /**
     * 是否在小程序上显示 0否 1是
     */
    private Integer displayAppFlag;


    /**
     * 排序
     */
    private Integer sort;

    /**
     * 关联商品数量
     */
    private Integer cordGoodsCount;

    /**
     * 二级分类
     */
    private List<MallGoodsCordVO> childSpecCordDTOList;

    public Long getSpecCordId() {
        return specCordId;
    }

    public void setSpecCordId(Long specCordId) {
        this.specCordId = specCordId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Long getGoodsDomainId() {
        return goodsDomainId;
    }

    public void setGoodsDomainId(Long goodsDomainId) {
        this.goodsDomainId = goodsDomainId;
    }

    public String getSpecCordName() {
        return specCordName;
    }

    public void setSpecCordName(String specCordName) {
        this.specCordName = specCordName;
    }

    public Long getSpecParentId() {
        return specParentId;
    }

    public void setSpecParentId(Long specParentId) {
        this.specParentId = specParentId;
    }

    public Integer getLeafNodeFlag() {
        return leafNodeFlag;
    }

    public void setLeafNodeFlag(Integer leafNodeFlag) {
        this.leafNodeFlag = leafNodeFlag;
    }

    public Integer getDisplayAppFlag() {
        return displayAppFlag;
    }

    public void setDisplayAppFlag(Integer displayAppFlag) {
        this.displayAppFlag = displayAppFlag;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Integer getCordGoodsCount() {
        return cordGoodsCount;
    }

    public void setCordGoodsCount(Integer cordGoodsCount) {
        this.cordGoodsCount = cordGoodsCount;
    }

    public List<MallGoodsCordVO> getChildSpecCordDTOList() {
        return childSpecCordDTOList;
    }

    public void setChildSpecCordDTOList(List<MallGoodsCordVO> childSpecCordDTOList) {
        this.childSpecCordDTOList = childSpecCordDTOList;
    }

    @Override
    public String toString() {
        return super.toString();
    }
}
